<?php

namespace App\Modules\HalkbankOnlinePayment\Controllers;

use App\Http\Controllers\Controller;
use Illuminate\Contracts\View\View;
use Illuminate\Http\Request;

class HalkbankOnlinePaymentController extends Controller
{
    public function store(Request $request): View
    {
        $request->validate([
            'orderId' => ['required', 'string', 'max:50', 'exists:online_payment_histories,orderId'],
        ]);

        return view('welcome');
    }
}
